APIs which have been released, or updated in the last 60 days will be displayed here, with the newest first.
Add treatment plan item list endpoint
GET /treatment_plans/{id}/treatment_plan_items— endpoint added
Added treatment endpoints
GET /market/subscriptions— endpoint addedDELETE /market/subscriptions/{id}— endpoint addedGET /market/subscriptions/{id}— endpoint addedGET /treatments— endpoint addedGET /treatments/{id}— endpoint added
Add treatment plan list and get specification
GET /treatment_plans— endpoint addedGET /treatment_plans/{id}— endpoint added
Added treatment category endpoints
GET /treatment_categories— endpoint addedGET /treatment_categories/{id}— endpoint added
Add patient account endpoint
GET /patients/{id}/account— endpoint added
GET /calendar_zones— endpoint addedGET /calendar_zones/{id}— endpoint added
Add invoice item specification
GET /invoices/{id}/invoice_items— endpoint added
Add fee specification
GET /fees— endpoint addedGET /fees/{id}— endpoint added
Add fee schedules endpoint
GET /fee_schedules— endpoint addedGET /fee_schedules/{id}— endpoint addedGET /nhs/contracts— added the new optionalqueryrequest parametercreated_date_fromGET /nhs/contracts— added the new optionalqueryrequest parametercreated_date_toGET /nhs/contracts— added the new optionalqueryrequest parameterupdated_date_fromGET /nhs/contracts— added the new optionalqueryrequest parameterupdated_date_to
Support site_id filter for Patient and Appointment list endpoint
GET /patients— added the new optionalqueryrequest parametersite_idGET /practitioners— added the new optionalqueryrequest parametersite_id
Add is_paid query to list invoices spec
GET /invoices— added the new optionalqueryrequest parameteris_paid
Adjust NHS contracts external identifier structure
GET /nhs/contracts— removed the required propertydata/items/external_identifiersfrom the response with the200statusGET /nhs/contracts/{id}— removed the required propertydata/external_identifiersfrom the response with the200statusGET /nhs/contracts— added the required propertydata/items/nhs_contract_numberto the response with the200statusGET /nhs/contracts— added the required propertydata/items/nhs_location_idto the response with the200statusGET /nhs/contracts— added the required propertydata/items/nhs_site_idto the response with the200statusGET /nhs/contracts/{id}— added the required propertydata/nhs_contract_numberto the response with the200statusGET /nhs/contracts/{id}— added the required propertydata/nhs_location_idto the response with the200statusGET /nhs/contracts/{id}— added the required propertydata/nhs_site_idto the response with the200status
Add NHS contracts endpoint
GET /nhs/contracts— endpoint addedGET /nhs/contracts/{id}— endpoint added